RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001316USAF[All Projects] Generalpublic2015-10-24 22:202017-01-09 11:36
Reportermaffa 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.4.2 
Summary0001316: Apache and Cobra share weaponry but not radar features
DescriptionAH-64D Apache Longbow has the AN/AGP-78 Longbow active radar, and AN/APR-39A RWR radar. AH-1Z SuperCobra Zulu has the same RWR radar than the Apache's, and MAY have the same Longbow radar mounted on the weapon's pod.

Now, in RHS they both have the Hellfire II L missile, that requires an active radar to feed the missile's radar the GPS position to be fired "fire and forget". But they have two different radar systems, Apache's being the usual round miniradar which shows the gunner pod's relative position to the hull's and all potential targets around the aircraft, and the Cobra's with a dead round miniradar with no gunner relative position and the targets's positions relayed in gray on a thin lighter shade of grey strip on top of the round radar.

Now:

- either consider the Cobra not having a Longbow radar and give it the laser guided Hellfire II K missiles, which require the gunner laser homing until impact, or

- consider the Cobra having the same radar as the Apache's and just give the Cobra the same miniradar functionality as the Apache's

In either case, it would be necessary to share the gunner pod's direction in the round miniradar for the Cobra.
Steps To Reproduce* place a Cobra and a vehicle and see it reproduced on the thin grey strip on top of the miniradar

* place an Apache and a vehicle and see it reproduced on the round radar.
Additional InformationI took these informations on wikipedia (of course) FAS.org and Globalsecurity.org
Tagsah1z, ah64d, apache, cobra, hellfire, homing, longbow, miniradar, radar
Is it a wish/request?No
RHS version
Arma 3 version1.52
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships

-  Notes
(0002647)
maffa (reporter)
2015-10-24 23:23

i just found out this issue on the AFRF that links to the issue of radars, but on respect of the missiles only, but i dont really know how it was solved on this respect because there were several issues running

http://feedback.rhsmods.org/print_bug_page.php?bug_id=549 [^]
(0002656)
cych (reporter)
2015-10-26 09:55
edited on: 2015-10-26 10:01

Longbow radar mounted on an AH1Z is pretty rare and is not a standard equipement.

AH1Z should only be equipped with the laser guided versions of the Hellfire II

AGM-114K (anti-armor)
AGM-114N (thermobaric)
AGM-114M (fragmentation)
AGM-114R (antitank + frag)


the AGM-114L radar guided version should only be available with the Apache.

(0002658)
maffa (reporter)
2015-10-26 12:31
edited on: 2015-10-26 20:55

Truth be told, either way im fine.
It is possible, i wouldnt find it unlikely because both the Apaches and hte Cobras are getting "old" (and "older" respectively), and in order for the Cobra to be still usable and up-to-date they may attach that pod more often.

This is a thought of mine, for i have no hard data about the widespread use of the Longbow pod on Cobras. But since RHS is mainly focused on realism, and we are not talking about an unique prototype locked in a hangar in Area 51 (yes Comanche im looking at you), it can be a viable option while we wait for all those missiles to be modeled.

What i feel it should be done in this regard is taking the grey strip radar thingy from Cobras and give it the same round miniradar Apaches have, together with the relative position of the gunner's pod, if they keep the same Longobow radar and the type L missiles.
On the contrary if they want to keep the less eyecandy and usable layout to simulate an older aircraft, then it shouldnt be able to shoot fire-and-forget missiles because they need a ground attack radar in order to get GPS data and you cant do that with steampunk tech ;D

So, as i said, either way im fine.


- Issue History
Date Modified Username Field Change
2015-10-24 22:20 maffa New Issue
2015-10-24 22:32 maffa Tag Attached: ah1z
2015-10-24 22:32 maffa Tag Attached: ah64d
2015-10-24 22:32 maffa Tag Attached: apache
2015-10-24 22:32 maffa Tag Attached: cobra
2015-10-24 22:32 maffa Tag Attached: hellfire
2015-10-24 22:32 maffa Tag Attached: miniradar
2015-10-24 22:32 maffa Tag Attached: radar
2015-10-24 22:32 maffa Tag Attached: homing
2015-10-24 22:32 maffa Tag Attached: longbow
2015-10-24 23:23 maffa Note Added: 0002647
2015-10-26 09:55 cych Note Added: 0002656
2015-10-26 09:58 cych Note Edited: 0002656 View Revisions
2015-10-26 10:00 cych Note Edited: 0002656 View Revisions
2015-10-26 10:01 cych Note Edited: 0002656 View Revisions
2015-10-26 10:01 cych Note Edited: 0002656 View Revisions
2015-10-26 12:31 maffa Note Added: 0002658
2015-10-26 12:36 maffa Note Edited: 0002658 View Revisions
2015-10-26 12:38 maffa Note Edited: 0002658 View Revisions
2015-10-26 13:02 maffa Note Edited: 0002658 View Revisions
2015-10-26 20:55 maffa Note Edited: 0002658 View Revisions
2017-01-09 11:36 reyhard Status new => resolved
2017-01-09 11:36 reyhard Fixed in Version => 0.4.2
2017-01-09 11:36 reyhard Resolution open => fixed
2017-01-09 11:36 reyhard Assigned To => reyhard


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker